Description

Hi.

I use foreman 1.14.3. I can no longer edit or create a virtual machine.

When I try, I get this error: NoMethodError: indefinite `sub! 'For nil: NilClass

I installed the following compute-vmware plugins, cockpit, plugin ansible, dhcp-browser.

I have not found a solution yet. If someone has an idea.

Thank a lot.

History

#1 - 06/06/2017 06:31 PM - Anonymous

which version if the cockpit plugin is this?

#2 - 06/07/2017 06:25 AM - Alexandre JARC

foreman_cockpit    2.0.2

I didn't try without this plugin btw...

To uninstall the plugin, i need to execute foreman-installer again ?

Thank a lot Michael.

#3 - 06/07/2017 07:57 AM - Anonymous

- Status changed from New to Feedback

foreman_cockpit 2.0.3 will fix this. I guess you're on a RPM based distro, as https://github.com/theforeman/foreman-packaging/pull/1671 isn't merged,

yet.

To get things going, you should just uninstall the foreman_cockpit rpm and restart httpd. Please report back, if that fixes your problem.

#4 - 06/07/2017 09:30 AM - Alexandre JARC

- Status changed from Feedback to Resolved

Hi again.

Well i've remove ruby-foreman-cockpit and reinstall the same package. Now it's ok, i can edit or deploy my virtual machine. (but now they don't boot

on my iso or on the ubuntu web image. But it's an another problem :) )

Thank.
